@font-face {
    font-family: 'Norse-Bold';
    src: url('./assets/fonts/Norse-Bold.otf');
}

main {
    min-width: 100vw;
    min-height: 100vh;
    display: flex;
}

main section:first-child {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-image: url('./assets/images/background.jpg');
    background-size: cover;
    background-position: center;
}

main section:first-child div {
    position: relative;
    top: -25%;
    width: 100%;
    height: 20%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.7);
    padding: 1em 0;
    box-sizing: border-box;
}

main section:first-child h1 {
    font-size: 8em;
    color: #FFF;
    font-family: 'Norse-Bold', sans-serif;
}

main section:first-child div img {
    height: 9em;
    margin-right: 1em;
}

#content {
    flex: 2;
    display: flex;
    flex-direction: column;
}

#content article {
    flex: 1;
    background-color: #F9FAFB;
    padding: 0 2em;
}

#top {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#top p {
    max-width: 80%;
    font-size: 1.5em;
    font-weight: 700;
    text-align: justify;
    text-transform: uppercase;
}

#top p span {
    font-style: italic;
}

#top p+p {
    margin-top: 1.5em;
}

#content article#form {
    flex: 1;
    background-color: #FFF;
    padding-top: 1em;
    padding-bottom: 0.5em;
    box-shadow: 0 5px 5px #CCC;
    z-index: 1;
}

#form h2 {
    font-weight: 600;
    margin-bottom: 0.5em;
    font-size: 2em;
}

form {
    display: flex;
    flex-wrap: wrap;
    max-width: 80%;
}

label,
input {
    display: block;
}

label {
    font-size: 1.2em;
    text-transform: uppercase;
}

input {
    min-width: 180px;
    width: 75%;
    height: 2em;
    font-size: 1.2em;
    padding-left: 0.25em;
    border-radius: 5px;
    border: 2px solid #CCC;
    transition: all 0.25s ease-in;
}

input:focus {
    background-color: #42B6D5;
    color: #FFF;
}

input:invalid {
    border-color: red;
}

.invalid {
    border-color: red;
}

.valid {
    border-color: green;
}

form div {
    width: 45%;
    height: 5em;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

button {
    margin: 2em 0 1em 0;
    padding: 1rem;
    background-color: #386C79;
    color: #FFF;
    box-shadow: 2px 2px 5px #000;
    font-size: 1.2rem;
    font-weight: bold;
    border-radius: 8px;
}

#bottom {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#bottom p {
    font-size: 1.2em;
}

#bottom p a {
    font-weight: 700;
}

footer {
    text-align: center;
    padding-bottom: 2rem;
}

footer a {
    text-decoration: none;
    font-size: 1.5em;
    color: #000;
}

footer a:hover {
    color: #386C79;
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (max-width: 1200px) {
    main {
        flex-direction: column;
    }


    main section:first-child {
        flex: 1;
    }

    main section:first-child div img {
        height: 5em;
    }

    main section:first-child h1 {
        font-size: 5em;
    }

    #top p {
        padding-top: 1.5rem;
        max-width: 100%;
        font-size: 1.2em;
    }

    #top p+p{
        padding-bottom: 1rem;
    }
    #content article#form {
        flex: 1;
        background-color: #FFF;
        padding-top: 1em;
        padding-bottom: 0.5em;
        box-shadow: 0 5px 5px #CCC;
        z-index: 1;
    }

    #form h2 {
        font-size: 1.5em;
    }


    label {
        font-size: 1em;
    }

    input {
        min-width: 55%;
        height: 1.5em;
        padding-left: 0.25em;
        border-radius: 5px;
        border: 2px solid #CCC;
        transition: all 0.25s ease-in;
    }

    form div {
        height: 4.5em;
    }

    button {
        margin: 1.5em 0 1em 0;
        padding: 0.75em;
    }

    #bottom p {
        font-size: 1.1em;
    }

    footer {
        padding-bottom: 1.8rem;
    }

    footer a {
        font-size: 1.25em;
    }
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
    #content {
        padding-top: 1em;
    }

    form {
        display: block;
    }

    form div {
        width: 95%;
        height: 5em;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
    }

    input {
        width: 100%;
    }


    footer {
        padding: 1rem 0;
    }

    footer a {
        font-size: 1.25em;
    }
}